import {Exir, jsx} from "../../vm_deprecated";
import {info} from "../../core";

export default Exir.createView('Route', {
    props:{
        path: ""
    },
    render() {
        return <div>{this.props.path}{this.$children}</div>
    },
    onCreate(){
        this.$name = 'Route'+this.props.path
        info('CREATED Route '+this.props.path, this)
    },
    onUpdate(){
        info('onUpdate Route '+this.$instanceId+" "+this.props.path, this.$children)
    },
    shouldUpdate() {
        return true
    }
})